import styled, { ThemeProvider } from "styled-components";
import { useTheme } from "./style/themes.tsx";

import About from "./sections/about.tsx";

const App: React.FC = () => {
  const { theme } = useTheme();

  return <ThemeProvider theme={theme}>
    <Container>
      <About />
    </Container>
  </ThemeProvider>;
}

const Container = styled.div`
  background-color: ${({ theme }) => theme.primary};
  transition: 0.2s background-color ease-in-out;
  
  height: 100%;
  display: grid;
  text-align: center;
  place-content: center;

  @media (max-width: 768px) {
    padding: 1rem;
    height: unset;
  }
`;

export default App;